Seite 1 von 2 12 LetzteLetzte
Ergebnis 1 bis 10 von 13

Thema: kann zen-cart-v1.3.7.p1 nicht installieren

  1. #1
    Padawan Anwärter Avatar von carptiger
    Registriert seit
    07.04.2007
    Beiträge
    9
    Themen
    1
    DANKE
    0
    Erhaltene Danke: 0

    Standard kann zen-cart-v1.3.7.p1 nicht installieren

    Hallo,

    bei dem Versuch den Shop zu inatallieren bekomme ich folgende Fehlermeldungen:
    Warning: main(version.php): failed to open stream: No such file or directory in /home/www/web395/html/hade/ka-de/shop/zc_install/includes/application_top.php on line 26

    Warning: main(version.php): failed to open stream: No such file or directory in /home/www/web395/html/hade/ka-de/shop/zc_install/includes/application_top.php on line 26

    Fatal error: main(): Failed opening required 'version.php' (include_path='/usr/local/php/lib/php/') in /home/www/web395/html/hade/ka-de/shop/zc_install/includes/application_top.php on line 26
    Ich hab mich jetzt schon scheckig gesucht, finde aber keine Lösung für mein Problem

    Schöne Grüsse

  2. #2
    Padawan Stufe IV Avatar von odin1
    Registriert seit
    18.12.2006
    Beiträge
    361
    Themen
    22
    DANKE
    0
    Erhaltene Danke: 0

    Standard

    ist in deinem install verzeichnis die datei version.php vorhanden ?

  3. #3
    Padawan Anwärter Avatar von carptiger
    Registriert seit
    07.04.2007
    Beiträge
    9
    Themen
    1
    DANKE
    0
    Erhaltene Danke: 0
    Erstellt von

    Standard

    Hallo,

    jup, die Datei ist vorhanden. Ich hab auch schon versucht der Datei 777 einzuräumen.
    Hat aber auch nicht geholfen.

  4. #4
    Padawan Stufe IV Avatar von odin1
    Registriert seit
    18.12.2006
    Beiträge
    361
    Themen
    22
    DANKE
    0
    Erhaltene Danke: 0

    Standard

    hast du sonst alle rechte gesetzt ?
    eine möglichkeit wäre es auch dass es beim übertragen auf den server fehler gab. deshalb ggfls löschen und neu hochladen

  5. #5
    Padawan Anwärter Avatar von carptiger
    Registriert seit
    07.04.2007
    Beiträge
    9
    Themen
    1
    DANKE
    0
    Erhaltene Danke: 0
    Erstellt von

    Standard

    Rechte waren alle gesetzt, ich hab mich jetzt mal für die Delete Tase entschieden.
    Starten wir halt nen neuen Versuch.

  6. #6
    Padawan Anwärter Avatar von carptiger
    Registriert seit
    07.04.2007
    Beiträge
    9
    Themen
    1
    DANKE
    0
    Erhaltene Danke: 0
    Erstellt von

    Standard

    So, neuer Versuch, selber Fehler!
    Ich hänge Euch meine application_top.php mal an, vieleicht sieht einer ja den Fehler, ich hab sie mit der Datei auf meinem Rechner verglichen und konnte keinen Übertragungsfehler finden.
    <?php
    /**
    * @package Installer
    * @access private
    * @copyright Copyright 2003-2006 Zen Cart Development Team
    * @copyright Portions Copyright 2003 osCommerce
    * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
    * @version $Id: application_top.php 4705 2006-10-08 08:26:12Z drbyte $
    */

    /**
    * set the level of error reporting
    */
    if (defined('STRICT_ERROR_REPORTING') && STRICT_ERROR_REPORTING == true) {
    @ini_set('display_errors', '1');
    error_reporting(E_ALL);
    } else {
    error_reporting(E_ALL & ~E_NOTICE);
    }
    /**
    * boolean used to see if we are in the admin script, obviously set to false here.
    */
    if (!defined('IS_ADMIN_FLAG')) define('IS_ADMIN_FLAG', false);

    // define the project version
    require('version.php');
    // set php_self in the local scope
    if (!isset($PHP_SELF)) $PHP_SELF = $_SERVER['PHP_SELF'];
    require('../includes/classes/class.base.php');
    require('../includes/classes/class.notifier.php');
    require('includes/functions/general.php');
    require('includes/classes/installer.php');
    $zc_install = new installer;
    define('DIR_WS_INSTALL_TEMPLATE', 'includes/templates/template_default/');

    $language = 'german';
    if (isset($_GET['language']) && $_GET['language'] != '') $language = $_GET['language'];
    if (!isset($_GET['language'])) $_GET['language'] = $language;

    // initialize the message stack for output messages
    require('includes/classes/boxes.php');
    require('includes/classes/message_stack.php');
    $messageStack = new messageStack;

    ?>

  7. #7
    Jedi-Ritter Avatar von MaleBorg
    Registriert seit
    17.05.2006
    Beiträge
    3.029
    Themen
    22
    DANKE
    5
    Erhaltene Danke: 78

    Standard

    Versuch mal die Zeile 26 auszukommentieren,
    also einfach // davor machen und dann zu installieren.

    Gruß
    MaleBorg

  8. #8
    Padawan Anwärter Avatar von carptiger
    Registriert seit
    07.04.2007
    Beiträge
    9
    Themen
    1
    DANKE
    0
    Erhaltene Danke: 0
    Erstellt von

    Standard

    Hallo,

    dann bekomme ich die gleiche Fehlermeldung, nur diesmal über Zeile 31?

  9. #9
    Padawan Anwärter Avatar von carptiger
    Registriert seit
    07.04.2007
    Beiträge
    9
    Themen
    1
    DANKE
    0
    Erhaltene Danke: 0
    Erstellt von

    Standard

    Hallo,
    Problem hat sich erledigt! Es lag an den beiden PHP Versionen die auf dem Server laufen.
    Ich hab jetzt eine htacces Datei erstellt die dem Parser sagt welche Version er verwenden soll.
    Danke an alle anderen die helfen wollten!

    Schönen Gruss

  10. #10
    Jedi-Ritter Avatar von MaleBorg
    Registriert seit
    17.05.2006
    Beiträge
    3.029
    Themen
    22
    DANKE
    5
    Erhaltene Danke: 78

    Standard

    OK und danke für die Rückmeldung, wieder was dazugelernt

    Gruß
    MaleBorg

Seite 1 von 2 12 LetzteLetzte

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •  
zen-cart-pro.at
Zen Cart ist eine kostenlose unter der GPL-Lizenz veröffentlichte Open-Source Shopsoftware. Das System wird in den USA entwickelt, die amerikanische Website dazu ist www.zen-cart.com

Die deutsche Zen-Cart Version, um die es hier auf zen-cart-pro.at geht, ist eine Anpassung der amerikanischen Version an die Bedürfnisse von Onlineshopbetreibern im deutschsprachigen Raum.
Die amerikanische Zen-Cart Version berücksichtigt viele rechtliche Erfordernisse nicht, denen ein Onlineshop im deutschsprachigen Raum unterworfen ist. Daher wurde die deutsche Zen-Cart Version nicht nur bloß ins Deutsche übersetzt, sondern auch funktional auf die Anforderungen, die an Onlineshops in Deutschland, Österreich und der Schweiz gestellt werden, angepasst.

Die amerikanische Version ist extrem abgespeckt und stellt weiterführende Funktionalitäten durch zusätzliche Module bereit, die erst mühsam manuell installiert werden müssen. Zahlreiche häufig genutzte Erweiterungen und eigene Entwicklungen sind in der deutschen Zen Cart Version bereits vorinstalliert.
Die deutsche Zen-Cart Version bietet außerdem einen völlig multilingualen Adminbereich. Weitere für die deutsche Zen Cart Version angepasste Erweiterungen stehen in unserem Downloadbereich zur Verfügung.

Die deutsche Zen Cart Version wird seit 15 Jahren von einem Team von Entwicklern in Österreich und Deutschland betreut, weiterentwickelt und supportet und steht kostenlos in unserem Downloadbereich zur Verfügung.

[mehr]
Follow Us
  • zen-cart-pro-at auf Twitter
  • zen-cart-pro-at auf Github
  • zen-cart-pro-at auf SourceForge
Aktuelle Version
Zen Cart 1.5.6d deutsch
vom 07.11.2019
[Download]

unterstützen
Unterstütze die Weiterentwicklung der deutschen Zen Cart Version mit einer Spende!

Spende für die Weiterentwicklung der deutschen Zen Cart Version